curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-bases \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/knowledge-bases"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"knowledge_base_id": "<string>",
"vector_store_id": "<string>",
"knowledge_base_name": "<string>",
"embedding_config": {
"type": "models_api",
"model_deployment_id": "<string>"
},
"created_at": "<string>",
"metadata": {},
"updated_at": "<string>",
"connections": [
{
"last_uploaded_at": "2023-11-07T05:31:56Z",
"knowledge_base_data_source": {
"name": "<string>",
"data_source_config": {
"source": "S3",
"s3_bucket": "<string>",
"aws_region": "<string>",
"aws_account_id": "<string>",
"s3_prefix": ""
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"description": "<string>",
"tagging_information": {
"type": "all",
"tags_to_apply": {}
}
},
"deletion_status": "DELETING"
}
],
"artifacts_status": {
"artifacts_chunking": 123,
"artifacts_embedding": 123,
"artifacts_completed": 123,
"artifacts_pending": 123,
"artifacts_uploading": 123,
"artifacts_failed": 123
},
"artifact_count": 123,
"cluster_status": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"index_backend": "AzureSearch",
"kb_index_configuration": {
"fields": {
"author": {
"fields": {
"age": {
"filterable": true,
"type": "int32"
},
"name": {
"filterable": true,
"searchable": true,
"type": "string"
}
},
"type": "complex"
},
"priority": {
"filterable": true,
"type": "int32"
}
},
"max_index_size": 123
}
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Knowledge Bases
Description
Lists all knowledge bases owned by the authorized user.
Details
This API can be used to list all knowledge bases that have been created by the user. This API will return the details of all knowledge bases including their IDs, names, the embedding models they use, any metadata associated with the knowledge bases, and the timestamps for their creation, last-updated time.
Backwards Compatibility
V2 and V1 Knowledge Bases are entirely separate and not backwards compatible. Users who have existing V1 knowledge bases will need to migrate their data to V2 knowledge bases.
Authorizations
Headers
Query Parameters
Connections, ArtifactCount, IndexConfiguration, ArtifactsStatus Optional search by knowledge base name (case-insensitive partial match)
Page number for pagination to be returned by the given endpoint. Starts at page 1
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
1 <= x <= 10000Response
Successful Response

